# Class AminoAcidScores

java.lang.Object
jebl.evolution.align.scores.Scores
jebl.evolution.align.scores.AminoAcidScores

All Implemented Interfaces:
  `ScoreMatrix`

Direct Known Subclasses:
  `Blosum45, Blosum50, Blosum55, Blosum60, Blosum62, Blosum65, Blosum70, Blosum75, Blosum80, Blosum85, Blosum90, Pam100, Pam110, Pam120, Pam130, Pam140, Pam150, Pam160, Pam170, Pam180, Pam190, Pam200, Pam210, Pam220, Pam230, Pam240, Pam250`

public class AminoAcidScores extends Scores

Version:
  $Id: AminoAcidScores.java 360 2006-06-22 07:42:48Z pepster $
Author:
  Alexei Drummond

## Field Summary

### Fields inherited from class Scores

`score`

## Constructor Summary

Constructors
Constructor
Description
`AminoAcidScores()`
`AminoAcidScores(float m, float n)`

## Method Summary

Modifier and Type
Method
Description
`final String`
`getAlphabet()`
`String`
`getName()`

### Methods inherited from class Scores

`duplicate, forMatrix, getMatrixString, getScore, includeAdditionalCharacters, includeGaps, toString`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AminoAcidScores

public AminoAcidScores()

### AminoAcidScores

public AminoAcidScores(float m, float n)

## Method Details

### getName

public String getName()

Returns:
  human readable name

### getAlphabet

public final String getAlphabet()

Returns:
  a string containing the valid characters for this score matrix.